Bug 865890 - Review Request: concurrentlinkedhashmap-lru - A ConcurrentLinkedHashMap for Java
Review Request: concurrentlinkedhashmap-lru - A ConcurrentLinkedHashMap for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 14:16 EDT by gil cattaneo
Modified: 2013-06-06 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: concurrentlinkedhashmap-lru-1.3.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 22:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-12 14:16:42 EDT
Spec URL: http://gil.fedorapeople.org/concurrentlinkedhashmap-lru.spec
SRPM URL: http://gil.fedorapeople.org/concurrentlinkedhashmap-lru-1.3.1-1.fc16.src.rpm
Description: A high performance version of java.util.LinkedHashMap for use as a software cache.
Features:

* LRU page replacement policy (currently being upgraded to LIRS).
* Equivalent performance to ConcurrentHashMap under load.
* Can bound by the size of the values (e.g. Multimap cache).
* Can notify a listener when an entry is evicted.
Fedora Account System Username: gil
Comment 2 Douglas Schilling Landgraf 2013-05-24 14:37:34 EDT
Hi Gil,

Please check my comments below:

- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

- Please do not include license into Source01
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

Here suggestions how you can deal with this situation:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines



Thanks
Douglas
Comment 3 gil cattaneo 2013-05-24 15:49:40 EDT
hi

(In reply to Douglas Schilling Landgraf from comment #2)
> Hi Gil,
> 
> Please check my comments below:
> 
> - Maven packages should use new style packaging
>   Note: If possible update your package to latest guidelines
>   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
for no use F18 and xmvn binary isnt available
> 
> - Please do not include license into Source01
> Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
> 
> Here suggestions how you can deal with this situation:
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines
see http://code.google.com/p/concurrentlinkedhashmap/issues/detail?id=38
> 
> 
> 
> Thanks
> Douglas
regards
Comment 4 gil cattaneo 2013-05-24 15:58:45 EDT
(In reply to gil cattaneo from comment #3)
> hi
> 
> (In reply to Douglas Schilling Landgraf from comment #2)
> > Hi Gil,
> > 
> > Please check my comments below:
> > 
> > - Maven packages should use new style packaging
> >   Note: If possible update your package to latest guidelines
> >   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
> for no use F18 and xmvn binary isnt available
for now i use F18 and xmvn binary isnt available
Comment 5 Douglas Schilling Landgraf 2013-05-24 20:41:30 EDT
(In reply to gil cattaneo from comment #3)
> hi
> 
> (In reply to Douglas Schilling Landgraf from comment #2)
> > Hi Gil,
> > 
> > Please check my comments below:
> > 
> > - Maven packages should use new style packaging
> >   Note: If possible update your package to latest guidelines
> >   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
> for no use F18 and xmvn binary isnt available
> > 
> > - Please do not include license into Source01
> > Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
> > 
> > Here suggestions how you can deal with this situation:
> > https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> > LicensingGuidelines
> see http://code.google.com/p/concurrentlinkedhashmap/issues/detail?id=38
> > 

It's not required to include the license but nice that you have followed the instructions and notified the project.

Please update your spec removing the Source1 which includes the license and include (or not) the LICENSE file into it.

Thanks
Douglas
Comment 6 Douglas Schilling Landgraf 2013-05-24 20:47:49 EDT
(In reply to gil cattaneo from comment #4)
> (In reply to gil cattaneo from comment #3)
> > hi
> > 
> > (In reply to Douglas Schilling Landgraf from comment #2)
> > > Hi Gil,
> > > 
> > > Please check my comments below:
> > > 
> > > - Maven packages should use new style packaging
> > >   Note: If possible update your package to latest guidelines
> > >   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
> > for no use F18 and xmvn binary isnt available
> for now i use F18 and xmvn binary isnt available

Thanks for the check.
Comment 8 gil cattaneo 2013-05-24 23:24:46 EDT
concurrentlinkedhashmap-lru is a Build/requires for Apache Camel
Comment 9 Douglas Schilling Landgraf 2013-05-26 16:47:19 EDT
Hi Gil,

Package manually reviewed, also used fedora-review tool.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Checking: concurrentlinkedhashmap-lru-1.3.2-1.fc18.noarch.rpm
          concurrentlinkedhashmap-lru-javadoc-1.3.2-1.fc18.noarch.rpm
concurrentlinkedhashmap-lru.noarch: W: spelling-error %description -l en_US util -> til, until, u til
concurrentlinkedhashmap-lru.noarch: W: spelling-error %description -l en_US LinkedHashMap
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint concurrentlinkedhashmap-lru-javadoc concurrentlinkedhashmap-lru
concurrentlinkedhashmap-lru.noarch: W: spelling-error %description -l en_US util -> til, until, u til
concurrentlinkedhashmap-lru.noarch: W: spelling-error %description -l en_US LinkedHashMap
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

All above can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption

[OK] MUST: The package must meet the Packaging Guidelines 

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines

[OK] MUST: The License field in the package spec file must match the actual license. 

[OK] MUST: The spec file must be written in American English

[OK] MUST: The spec file for the package MUST be legible

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

[OK] MUST: Each package must consistently use macros. [16]

[OK] MUST: The package must contain code, or permissable content

[OK]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[OK]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[OK]: Each %files section contains %defattr if rpm < 4.4
[OK]: Macros in Summary, %description expandable at SRPM build time.
[OK]: Package does not contain duplicates in %files.
[OK]: Permissions on files are set properly.
[OK]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[OK]: Package is named using only allowed ASCII characters.
[OK]: Package do not use a name that already exist
[OK]: Package is not relocatable.
[OK]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[OK]: File names are valid UTF-8.
[OK]: Packages must not store files under /srv, /opt or /usr/local
[OK]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[OK]: Package installs properly.
[OK]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).


Java:
===========
[OK]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[OK]: Fully versioned dependency in subpackages, if present.
[OK]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[OK]: Javadoc subpackages should not have Requires: jpackage-utils
[OK]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[OK]: Bundled jar/class files should be removed before build
[OK]: Packages are noarch unless they use JNI

Maven:
============
[OK]: Old add_to_maven_depmap macro is not being used
[OK]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[OK]: Package DOES NOT use %update_maven_depmap in %post/%postun
[OK]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


Should
===========
[OK]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
http://code.google.com/p/concurrentlinkedhashmap/issues/detail?id=38

[OK]: Package functions as described.
[OK]: Latest version is packaged.
[OK]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[OK]: Package should compile and build into binary rpms on all supported
     architectures.
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: Dist tag is present.
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define.

Final status: APPROVED.
Comment 10 gil cattaneo 2013-05-26 17:54:15 EDT
New Package SCM Request
=======================
Package Name: concurrentlinkedhashmap-lru
Short Description: A ConcurrentLinkedHashMap for Java
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 11 Gwyn Ciesla 2013-05-28 11:15:06 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-05-28 16:53:03 EDT
concurrentlinkedhashmap-lru-1.3.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/concurrentlinkedhashmap-lru-1.3.2-1.fc19
Comment 13 Fedora Update System 2013-05-28 17:03:47 EDT
concurrentlinkedhashmap-lru-1.3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/concurrentlinkedhashmap-lru-1.3.2-1.fc18
Comment 14 Fedora Update System 2013-05-29 13:42:36 EDT
concurrentlinkedhashmap-lru-1.3.2-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 15 Fedora Update System 2013-06-05 22:24:53 EDT
concurrentlinkedhashmap-lru-1.3.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-06-06 23:05:47 EDT
concurrentlinkedhashmap-lru-1.3.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.